classification
Title: MultiMethods with type annotations in 3000
Type: enhancement Stage: test needed
Components: Library (Lib) Versions: Python 3.1
process
Status: closed Resolution: postponed
Dependencies: Superseder:
Assigned To: pje Nosy List: benjamin.peterson, gvanrossum, jasonpjason, pje
Priority: low Keywords: patch

Created on 2007-08-23 21:41 by jasonpjason, last changed 2010-06-23 19:26 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
overloading.py jasonpjason, 2007-08-23 21:41
Messages (5)
msg55224 - (view) Author: Jason Prado (jasonpjason) Date: 2007-08-23 21:41
This is just a port of Guido's MultiMethod decorator to 3000-style 
annotations. PEP 3124 needs a lot more work and even its simplest features 
are difficult to implement.
msg56728 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-10-24 20:04
Phillip, do you have any interest left in moving PEP 3124 forward?
msg56729 - (view) Author: PJ Eby (pje) * (Python committer) Date: 2007-10-24 20:12
Interested, yes.  Have time for at the moment, no.  :(  Seems unlikely
I'll have time before 2008Q1 at this point.
msg56730 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-10-24 20:20
OK, that's fine.
msg108479 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2010-06-23 19:26
Let's close for now.
History
Date User Action Args
2010-06-23 19:26:25benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg108479

resolution: postponed
2009-04-07 04:04:59ajaksu2setstage: test needed
type: enhancement
versions: + Python 3.1, - Python 2.6
2007-10-24 20:20:54gvanrossumsetmessages: + msg56730
2007-10-24 20:12:27pjesetmessages: + msg56729
2007-10-24 20:04:16gvanrossumsetassignee: gvanrossum -> pje
messages: + msg56728
nosy: + pje
2007-09-17 07:17:17jafosetpriority: low
assignee: gvanrossum
nosy: + gvanrossum
2007-09-02 20:07:33loewissetkeywords: + patch
2007-08-23 21:41:28jasonpjasoncreate